commit: 90f45b7c42e4ef8eebb18db5f9094da2c82a79f1
Author: Louis Sautier <sautier.louis <AT> gmail <DOT> com>
AuthorDate: Wed Dec 30 08:53:22 2015 +0000
Commit: Ian Delaney <idella4 <AT> gentoo <DOT> org>
CommitDate: Wed Dec 30 09:52:37 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=90f45b7c
dev-python/jaraco-text: needed as a new dep to dev-python/irc
Package-Manager: portage-2.2.26
dev-python/jaraco-text/Manifest | 1 +
dev-python/jaraco-text/jaraco-text-1.6.2.ebuild | 47 +++++++++++++++++++++++++
dev-python/jaraco-text/metadata.xml | 14 ++++++++
3 files changed, 62 insertions(+)
diff --git a/dev-python/jaraco-text/Manifest b/dev-python/jaraco-text/Manifest
new file mode 100644
index 0000000..7e4bbfe
--- /dev/null
+++ b/dev-python/jaraco-text/Manifest
@@ -0,0 +1 @@
+DIST jaraco.text-1.6.2.tar.gz 5938 SHA256
4781aac8b61170318cd3a3315258059e85f15c99914c0c2b97909c622992ac1d SHA512
ab67e982c35b7640610657b7f1e741d80d01eea43ed258dfade5b4e719304c7774f6d1b41010ab889ddf8c232199f69aa201b796fcfc2e892fc6b977761ccf92
WHIRLPOOL
ee899129a9c98341f6ebeb4ec5c200e8139286b13a9c884780b61c66f34c8235d64f72ff9052f3c047d15e63f376ef4d0467cfa9315d6c0ed13d61c5526bd7d4
diff --git a/dev-python/jaraco-text/jaraco-text-1.6.2.ebuild
b/dev-python/jaraco-text/jaraco-text-1.6.2.ebuild
new file mode 100644
index 0000000..cb12751
--- /dev/null
+++ b/dev-python/jaraco-text/jaraco-text-1.6.2.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit distutils-r1
+
+MY_PN="${PN/-/.}"
+DESCRIPTION="Text utilities used by other projects by developer jaraco"
+HOMEPAGE="https://github.com/jaraco/jaraco.text"
+SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+PDEPEND="dev-python/jaraco-collections[${PYTHON_USEDEP}]"
+RDEPEND="dev-python/jaraco-functools[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-1.9[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ >=dev-python/pytest-2.8[${PYTHON_USEDEP}]
+ dev-python/pytest-runner[${PYTHON_USEDEP}]
+ )
+"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+python_prepare_all() {
+ if use test; then
+ if has_version "${CATEGORY}/${PN}"; then
+ die "Ensure $PN is not already installed or the test
suite will fail"
+ elif ! has_version "dev-python/jaraco-collections"; then
+ die "Ensure dev-python/jaraco-collections is installed
or the test suite will fail"
+ fi
+ fi
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ PYTHONPATH=. py.test || die "tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/jaraco-text/metadata.xml
b/dev-python/jaraco-text/metadata.xml
new file mode 100644
index 0000000..088d700
--- /dev/null
+++ b/dev-python/jaraco-text/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>proxy-maintainers</herd>
+ <maintainer>
+ <email>[email protected]</email>
+ <name>Louis Sautier</name>
+ <description>Proxied maintainer; set to assignee in all
bugs</description>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">jaraco.text</remote-id>
+ <remote-id type="github">jaraco/jaraco.text</remote-id>
+ </upstream>
+</pkgmetadata>